// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	画面更新処理
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

// ■■ 各クラスのインスタンス生成
let cFont 		= new YmsbFont();
let cSkin 		= new YmsbSkin();
let cStage		= new YmsbStageCheck(ANIME_STAGE_BOX, ANIME_STAGE_TXT);
let cEvent 		= new YmsbEventCheck(
					ANIME_EVENT_BOX_01, ANIME_EVENT_TXT_01,
					ANIME_EVENT_BOX_02, ANIME_EVENT_TXT_02);
let cTeamName	= new YmsbTeamNameCheck(ANIME_TEAM_BOX_VH, ANIME_TEAM_TXT_VH, 
					ANIME_TEAM_BOX_01, ANIME_TEAM_TXT_01, ANIME_TEAM_BOX_02, ANIME_TEAM_TXT_02);
let cScore		= new YmsbScoreCheck(ANIME_SCORE_BOX_VH, ANIME_SCORE_BOX_01, ANIME_SCORE_BOX_02,
					ANIME_BOTTOM_BOX, ANIME_BOTTOM_TXT, ANIME_FT10_OPACITY); 
let cNow		= new YmsbNowCheck(
					ANIME_NOW_BOX_VH, ANIME_NOW_BOX_02, ANIME_NOW_BOX_02,
					ANIME_NOW_TXT_VH, ANIME_NOW_TXT_01, ANIME_NOW_TXT_02,
					ANIME_STAR_BOX_VH, ANIME_STAR_BOX_01, ANIME_STAR_BOX_02);
let cLogo 		= new YmsbLogoCheck(ANIME_LOGO_BOX_VH, ANIME_LOGO_BOX_01, ANIME_LOGO_BOX_02);
let cSide 		= new YmsbSideCheck(YMSB_HORI, YMSB_RIGHT + ANI_MOVE_BOX_SIDE + "px", YMSB_LEFT + ANI_MOVE_BOX_SIDE + "px");
let cMember 	= new YmsbMemberCheck(YMSB_OFF);
let cStinger 	= new YmsbStingerCheck();

// ■■ スコアボードの状態チェック ■■
function checkState() {
	const newTimeStamp  = jsonData[SbJSON.TIMESTAMP];
	const newScoreBoard = jsonData[SbJSON.MAIN_ANIMATION];
	newBottomSize		= jsonData[SbJSON.BOTTOM_SIZE];
	JSON_Remote			= jsonData[SbJSON.REMOTE_SWITCH];
	const remoteWebAPI	= jsonData[SbJSON.REMOTE_WEBAPI];

	// リモート/ローカル変更時はフラグを立て、データ更新は行わない
	if (
		(YMSB_ON == JSON_Remote)
	&&	(""	!= remoteWebAPI)
	) {
		if ("this" != remoteWebAPI) {
			JSON_WebAPI = remoteWebAPI;
			currTimeStamp = 0;
			currFont = 99;
			currSkin = 99;
//			currScoreBoard = YMSB_OFF;
			return;
		}
	}
	else if (
		(YMSB_ON != JSON_Remote)
	&&	("this" == remoteWebAPI)
	) {
		JSON_WebAPI = "";
		currTimeStamp = 0;
		currFont = 99;
		currSkin = 99;
		return;
	}

	// スコアボードの状態遷移確認
	if		((YMSB_OFF == currScoreBoard) && (YMSB_ON  == newScoreBoard)) {
		currScoreBoard = YMSB_OFF_ON;
	}
	else if ((YMSB_ON  == currScoreBoard) && (YMSB_OFF == newScoreBoard)) {
		currScoreBoard = YMSB_ON_OFF
	}
	else {
		// nop
	}

	// 更新処理
	if (newTimeStamp == currTimeStamp) {
		// nop
	}
	else {
		checkData();
	}

	// スコアボードの状態を修正
	if	(YMSB_OFF_ON == currScoreBoard) {
		currScoreBoard = YMSB_ON;
	}
	else if
		(YMSB_ON_OFF == currScoreBoard) {
		currScoreBoard = YMSB_OFF;
	}
	else {
		currScoreBoard = newScoreBoard;
	}
	currTimeStamp = newTimeStamp;
	currBottomSize = newBottomSize;
}

// ■■ 更新処理 ■■
function checkData() {
	cFont.checkData();
	cSkin.checkData();
	cStage.checkData();
	cEvent.checkData();
	cTeamName.checkData();
	cLogo.checkData();
	if (YMSB_ON == ANIME_SIDE) {
		cSide.checkData();
	}
	cNow.checkData();
	cMember.checkData();
	cScore.checkData();
	cStinger.checkData();
	scWinAnimation();
}
