// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	勝利アニメーション表示
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

let currWinAnime	= YMSB_OFF;
let tlBack			= null;
let tlName			= null;
// const seWinner = new Audio("se/winner.mp3");
let scTicker		= "";

// ■■ 勝利アニメーションのパーティクル（キラキラ）のパラメータ ■■
const SC_WIN_ANIME_PARTICLE			= 
		{
			"bgColor": "#00000",
			"width": 1920,
			"height":1080,
			"emitFrequency": "60",
			"startX": 960,
			"startXVariance":1920,
			"startY": 540,
			"startYVariance":1080,
			"initialDirection": "90",
			"initialDirectionVariance": "0",
			"initialSpeed": 1.0,
			"initialSpeedVariance": 1.1,
			"friction": "0.030",
			"accelerationSpeed": 0.004,
			"accelerationDirection": 90,
			"startScale": 0.1,
			"startScaleVariance": 0.3,
			"finishScale": 1.4,
			"finishScaleVariance": "0.17",
			"lifeSpan": 120,
			"lifeSpanVariance": "188",
			"startAlpha": 0.8,
			"startAlphaVariance": "0.58",
			"finishAlpha": "0",
			"finishAlphaVariance": 0.5,
			"shapeIdList": [
				"blur_circle"
			],
			"startColor": {
				"hue": 39,
				"hueVariance": "41",
				"saturation": "59",
				"saturationVariance": "0",
				"luminance": "85",
				"luminanceVariance": "18"
			},
			"blendMode": true,
			"alphaCurveType": "1",
			"VERSION": "1.0.0"
		};

// ■■ 初期化処理 ■■
function scWinAnimationInit() {
	winnerStage = new createjs.Stage(SbCSS.BOX_SPLASH_NH);
	winnerParticle = new particlejs.ParticleSystem();
	winnerStage.addChild(winnerParticle.container);
	winnerParticle.importFromJson(SC_WIN_ANIME_PARTICLE);
	createjs.Ticker.framerate = 30;
}

// ■■ アニメーション処理 ■■
function scWinAnimation(){

	let newWinAnime = jsonData[SbJSON.WIN_ANIME];
	const WIN_WHITE_OUT		= "+=1.6";

	// 勝利画像表示アニメーション
	if (YMSB_OFF == currWinAnime && YMSB_OFF != newWinAnime) {

		// スプラッシュ
		// 参考：https://ics.media/entry/11172/
		scTicker = createjs.Ticker.on("tick", scWinAnimeHandleTick);
		gsap.to(SbCSS.BOX_SPLASH, {delay:1.0, opacity:1.0, overwrite:"auto"});

		// ホワイトアウト
		gsap.timeline()
			.to(SbCSS.BOX_WHITE_OUT, {duration:1.5, opacity:1.0})
			.to(SbCSS.BOX_WHITE_OUT, {duration:5.0, opacity:0.0, overwrite:"auto"});

		// 背景画像
		tlBack = gsap.timeline()
			.set(SbCSS.BOX_WINNER, {scale:2.0})
			.to (SbCSS.BOX_WINNER, {duration:0.5, opacity:1.0, scale:0.98, ease:ANI_EASE_OUT}, WIN_WHITE_OUT)
			.to (SbCSS.BOX_WINNER, {duration:2.0, scale:1.0, ease:ANI_EASE_OUT})
			.to (SbCSS.BOX_WINNER, {duration:2.0, repeat:-1, yoyo:true, overwrite:"auto", ease:ANI_EASE_IN,
				webkitFilter:"drop-shadow(0px 0px 20px rgba(255, 255, 200, 1.0)"});
		gsap.to(SbCSS.BOX_WINNER_SHADE, {duration:0.5, delay:1.5, opacity:0.7, overwrite:"auto"});

		// 勝利者名
		let textPlayer = cTeamName.arrTeam[newWinAnime - 1].currData;
		jQuery(SbCSS.TXT_WINNER).text(YmsbAnime.fitTextWidth(textPlayer, SbCSS.TXT_WINNER));
		tlName = gsap.timeline()
			.set(SbCSS.TXT_WINNER, {scale:1.5, textShadow:"0px 0px 3px #FFF", transformPerspective: 1080, transformOrigin: "50% 50%", rotationX: 25})
			.to (SbCSS.TXT_WINNER, {duration:0.5, opacity:1.0, scale:0.98, ease:ANI_EASE_OUT}, WIN_WHITE_OUT)
			.to (SbCSS.TXT_WINNER, {duration:2.0, scale:1.0, ease:ANI_EASE_OUT})
			.to (SbCSS.TXT_WINNER, {duration:2.0, repeat:-1, yoyo:true, overwrite:"auto", ease:ANI_EASE_IN, color:"#FFF", textShadow:"0px 0px 40px #FFB"});
	}
	else if (YMSB_OFF != currWinAnime && YMSB_OFF == newWinAnime) {

		gsap.to (SbCSS.BOX_WINNER_SHADE, {duration:ANI_DUR_BASE, opacity:0.0});
		gsap.timeline()
			.set(SbCSS.BOX_WINNER, {repeat:0, yoyo:false, webkitFilter:"drop-shadow(0px 0px 5px rgba(255, 255, 255, 0.7)"})
			.to (SbCSS.BOX_WINNER, {duration:ANI_DUR_BASE, ease:ANI_EASE_IN, scale:1.5, opacity:0.0, onComplete:function(){tlBack.kill(); tlBack = null;}});
		gsap.timeline()
			.set(SbCSS.TXT_WINNER, {repeat:0, yoyo:false, color:"#FFB", textShadow:"0px 0px 0px #FFF"})
			.to (SbCSS.TXT_WINNER, {duration:ANI_DUR_BASE, ease:ANI_EASE_IN, scale:1.2, opacity:0.0, onComplete:function(){tlName.kill(); tlName = null;}});
		gsap.to(SbCSS.BOX_SPLASH,  {duration:ANI_DUR_BASE, opacity:0.0, onComplete:function(){createjs.Ticker.off("tick", scTicker);}});
	}
	else {
		// nop
	}
	currWinAnime = newWinAnime;
}

// ■■ イベントハンドラ（30fpsで稼働） ■■
function scWinAnimeHandleTick() {
	winnerParticle.update();
	winnerStage.update();
}
